Package: org.gradle.tooling.model

## [Java] Interface DomainObjectSet<T>

- java.util.Collection

- All Superinterfaces:
    Iterable, Collection

  A set of domain objects of type T.

  Parameters:
    `` - The type of objects in this collection.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `List<T>` | `getAll()` Returns the elements of this set in the set's iteration order.
    `T` | `getAt(int index)` Returns the element at the given index according to the set's iteration order.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Set` | `add, equals, hashCode, clear, contains, isEmpty, size, toArray, toArray, addAll, iterator, remove, containsAll, removeAll, retainAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public List<T> getAll()

      Returns the elements of this set in the set's iteration order.

      Returns:
        The elements of this set in the set's iteration order.

    - #### public T getAt(int index)

      Returns the element at the given index according to the set's iteration order.

      Parameters:
        `index` - The index of the element to get.
      Returns:
        The element at the given index according to the set's iteration order.